Debian Bug report logs - #549976
grub-pc: File descriptor 3 (pipe:[105716]) leaked on lvs invocation.

version graph

Package: grub-pc; Maintainer for grub-pc is GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>; Source for grub-pc is src:grub2.

Reported by: Paul Menzel <pm.debian@googlemail.com>

Date: Tue, 6 Oct 2009 19:12:01 UTC

Severity: normal

Found in versions grub2/1.97~beta4-1, grub2/1.98~20100101-1, grub2/1.98-1

Fixed in version grub2/1.98+20100527-1

Done: Colin Watson <cjwatson@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#549976; Package grub-pc. (Tue, 06 Oct 2009 19:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Menzel <pm.debian@googlemail.com>:
New Bug report received and forwarded. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Tue, 06 Oct 2009 19:12:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul Menzel <pm.debian@googlemail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: grub-pc: File descriptor 3 (pipe:[105716]) leaked on lvs invocation.
Date: Tue, 06 Oct 2009 21:06:46 +0200
[Message part 1 (text/plain, inline)]
Subject: grub-pc: File descriptor 3 (pipe:[105716]) leaked on lvs invocation.
Package: grub-pc
Version: 1.97~beta4-1
Severity: normal

*** Please type your report below this line ***

Dear Debian hackers,


upgrading DebPkg:grub-pc today the following was printed out to the
terminal.

        Richte grub-pc ein (1.97~beta4-1) ...
        Installation finished. No error reported.
        This is the contents of the device map /boot/grub/device.map.
        Check if this is correct or not. If any of the lines is incorrect,
        fix it and re-run the script `grub-install'.
        
        (hd0)	/dev/sda
        Generating grub.cfg ...
        Found Debian background: moreblue-orbit-grub.png
        Warning: update-grub_lib is deprecated, use grub-mkconfig_lib instead
        Found linux image: …
        […]
        File descriptor 3 (pipe:[105716]) leaked on lvs invocation. Parent PID 21644: /bin/sh
        done

I do not know, if this is related to DebPkg:os-prober and if it is a
problem at all.

Please procced as you find appropriate.


Thanks,

Paul
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#549976; Package grub-pc. (Mon, 19 Oct 2009 08:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Felix Zielcke <fzielcke@z-51.de>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Mon, 19 Oct 2009 08:00:04 GMT) Full text and rfc822 format available.

Message #10 received at 549976@bugs.debian.org (full text, mbox):

From: Felix Zielcke <fzielcke@z-51.de>
To: 549976@bugs.debian.org
Subject: Bug #549976 FTR
Date: Mon, 19 Oct 2009 09:48:50 +0200
For the record, pastebin from dilex on #grub:

Found memtest86+ image: /boot/memtest86+.bin
File descriptor 4 (inotify) leaked on lvs invocation. Parent PID 30090: /bin/sh
File descriptor 7 (pipe:[10233]) leaked on lvs invocation. Parent PID 30090: /bin/sh
File descriptor 8 (pipe:[10233]) leaked on lvs invocation. Parent PID 30090: /bin/sh
File descriptor 22 (/dev/snd/controlC0) leaked on lvs invocation. Parent PID 30090: /bin/sh
Found Microsoft Windows XP Professional on /dev/sda1

-- 
Felix Zielcke
Proud Debian Maintainer and GNU GRUB developer





Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#549976; Package grub-pc. (Mon, 19 Oct 2009 15:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Felix Zielcke <fzielcke@z-51.de>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Mon, 19 Oct 2009 15:15:03 GMT) Full text and rfc822 format available.

Message #15 received at 549976@bugs.debian.org (full text, mbox):

From: Felix Zielcke <fzielcke@z-51.de>
To: Paul Menzel <pm.debian@googlemail.com>, 549976@bugs.debian.org
Subject: Re: Bug#549976: grub-pc: File descriptor 3 (pipe:[105716]) leaked on lvs invocation.
Date: Mon, 19 Oct 2009 17:06:02 +0200
Am Dienstag, den 06.10.2009, 21:06 +0200 schrieb Paul Menzel:
> Subject: grub-pc: File descriptor 3 (pipe:[105716]) leaked on lvs invocation.
> Package: grub-pc
> Version: 1.97~beta4-1
> Severity: normal
> 
> *** Please type your report below this line ***
> 
> Dear Debian hackers,
> 
> 
> upgrading DebPkg:grub-pc today the following was printed out to the
> terminal.
> 
>         Richte grub-pc ein (1.97~beta4-1) ...
>         Installation finished. No error reported.
>         This is the contents of the device map /boot/grub/device.map.
>         Check if this is correct or not. If any of the lines is incorrect,
>         fix it and re-run the script `grub-install'.
>         
>         (hd0)	/dev/sda
>         Generating grub.cfg ...
>         Found Debian background: moreblue-orbit-grub.png
>         Warning: update-grub_lib is deprecated, use grub-mkconfig_lib instead
>         Found linux image: …
>         […]
>         File descriptor 3 (pipe:[105716]) leaked on lvs invocation. Parent PID 21644: /bin/sh
>         done
> 
> I do not know, if this is related to DebPkg:os-prober and if it is a
> problem at all.
> 
> Please procced as you find appropriate.

Hi Paul,

Colin Watson commited now a fix to os-prober to silence them.
They don't cause any real problem.
But I don't close this report now, I check if we're leaking any file
descriptors.
Someone else on IRC reported today that even an inotify fd was leaked to
lvs, which is clearly not from us.


-- 
Felix Zielcke
Proud Debian Maintainer and GNU GRUB developer





Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#549976; Package grub-pc. (Mon, 25 Jan 2010 10:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Below <mbelow@antithese.de>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Mon, 25 Jan 2010 10:33:04 GMT) Full text and rfc822 format available.

Message #20 received at 549976@bugs.debian.org (full text, mbox):

From: Michael Below <mbelow@antithese.de>
To: Debian Bug Tracking System <549976@bugs.debian.org>
Subject: grub-pc: File descriptor leaked during kernel update
Date: Mon, 25 Jan 2010 11:06:38 +0100
Package: grub-pc
Version: 1.98~20100101-1
Severity: normal

I encountered the same error message during a kernel update today.
Don't know if this is a grub issue or a kernel issue. The
installation seems to succeed anyhow:

Richte linux-image-2.6.32-trunk-amd64 ein (2.6.32-5) ...
Running depmod.
Running update-initramfs.
update-initramfs: Generating /boot/initrd.img-2.6.32-trunk-amd64
Running update-grub.
Generating grub.cfg ...
Found background image: moreblue-orbit-grub.png
Found linux image: /boot/vmlinuz-2.6.32-trunk-amd64
Found initrd image: /boot/initrd.img-2.6.32-trunk-amd64
Found linux image: /boot/vmlinuz-2.6.30-2-amd64
Found initrd image: /boot/initrd.img-2.6.30-2-amd64
Found linux image: /boot/vmlinuz-2.6.26-2-amd64
Found initrd image: /boot/initrd.img-2.6.26-2-amd64
Found memtest86+ image: /boot/memtest86+.bin
File descriptor 42 (/dev/tty) leaked on lvs invocation. Parent PID
19112: /bin/sh
File descriptor 43 (/dev/tty) leaked on lvs invocation. Parent PID
19112: /bin/sh
File descriptor 47 (/var/lib/debtags/vocabulary.idx (deleted))
leaked on lvs invocation. Parent PID 19112: /bin/sh
File descriptor 48 (/var/lib/debtags/vocabulary (deleted)) leaked
on lvs invocation. Parent PID 19112: /bin/sh
File descriptor 49 (/var/lib/debtags/package-tags.idx (deleted))
leaked on lvs invocation. Parent PID 19112: /bin/sh
Found Windows Vista (loader) on /dev/sda1
done
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/dkms
2.6.32-trunk-amd64 /boot/vmlinuz-2.6.32-trunk-amd64
run-parts: executing /etc/kernel/postinst.d/initramfs-tools
2.6.32-trunk-amd64 /boot/vmlinuz-2.6.32-trunk-amd64
run-parts: executing /etc/kernel/postinst.d/pm-utils
2.6.32-trunk-amd64 /boot/vmlinuz-2.6.32-trunk-amd64


-- Package-specific info:

*********************** BEGIN /proc/mounts
/dev/disk/by-uuid/66e75d80-ed82-400a-9c84-397b29fef7ce / ext3 rw,relatime,errors=remount-ro,data=ordered 0 0
/dev/mapper/volgroup1-lvol3 /tmp ext3 rw,relatime,errors=remount-ro,data=ordered 0 0
/dev/mapper/volgroup1-lvol2 /usr ext3 rw,relatime,errors=remount-ro,data=ordered 0 0
/dev/mapper/volgroup1-lvol0 /var ext3 rw,relatime,errors=continue,data=ordered 0 0
/dev/mapper/volgroup1-lvol1 /home ext3 rw,relatime,errors=continue,data=ordered 0 0
*********************** END /proc/mounts

*********************** BEGIN /boot/grub/device.map
(hd0)	/dev/sda
*********************** END /boot/grub/device.map

*********************** BEGIN /boot/grub/grub.cfg
#
# DO NOT EDIT THIS FILE
#
# It is automatically generated by /usr/sbin/grub-mkconfig using templates
# from /etc/grub.d and settings from /etc/default/grub
#

### BEGIN /etc/grub.d/00_header ###
set default=0
insmod lvm
insmod ext2
set root=(volgroup1-lvol2)
search --no-floppy --fs-uuid --set 4da0211d-e0fa-4681-9fd2-b5431c67d2b4
if loadfont /share/grub/unicode.pf2 ; then
  set gfxmode=640x480
  insmod gfxterm
  insmod vbe
  if terminal_output gfxterm ; then true ; else
    # For backward compatibility with versions of terminal.mod that don't
    # understand terminal_output
    terminal gfxterm
  fi
fi
set locale_dir=/boot/grub/locale
set lang=de
insmod gettext
set timeout=5
### END /etc/grub.d/00_header ###

### BEGIN /etc/grub.d/05_debian_theme ###
insmod ext2
set root=(hd0,4)
search --no-floppy --fs-uuid --set 66e75d80-ed82-400a-9c84-397b29fef7ce
insmod png
if background_image /boot/grub/moreblue-orbit-grub.png ; then
  set color_normal=black/black
  set color_highlight=magenta/black
else
  set menu_color_normal=cyan/blue
  set menu_color_highlight=white/blue
fi
### END /etc/grub.d/05_debian_theme ###

### BEGIN /etc/grub.d/10_linux ###
menuentry "Debian GNU/Linux, with Linux 2.6.32-trunk-amd64" {
	insmod ext2
	set root=(hd0,4)
	search --no-floppy --fs-uuid --set 66e75d80-ed82-400a-9c84-397b29fef7ce
	linux	/boot/vmlinuz-2.6.32-trunk-amd64 root=UUID=66e75d80-ed82-400a-9c84-397b29fef7ce ro  quiet
	initrd	/boot/initrd.img-2.6.32-trunk-amd64
}
menuentry "Debian GNU/Linux, with Linux 2.6.32-trunk-amd64 (recovery mode)" {
	insmod ext2
	set root=(hd0,4)
	search --no-floppy --fs-uuid --set 66e75d80-ed82-400a-9c84-397b29fef7ce
	linux	/boot/vmlinuz-2.6.32-trunk-amd64 root=UUID=66e75d80-ed82-400a-9c84-397b29fef7ce ro single 
	initrd	/boot/initrd.img-2.6.32-trunk-amd64
}
menuentry "Debian GNU/Linux, with Linux 2.6.30-2-amd64" {
	insmod ext2
	set root=(hd0,4)
	search --no-floppy --fs-uuid --set 66e75d80-ed82-400a-9c84-397b29fef7ce
	linux	/boot/vmlinuz-2.6.30-2-amd64 root=UUID=66e75d80-ed82-400a-9c84-397b29fef7ce ro  quiet
	initrd	/boot/initrd.img-2.6.30-2-amd64
}
menuentry "Debian GNU/Linux, with Linux 2.6.30-2-amd64 (recovery mode)" {
	insmod ext2
	set root=(hd0,4)
	search --no-floppy --fs-uuid --set 66e75d80-ed82-400a-9c84-397b29fef7ce
	linux	/boot/vmlinuz-2.6.30-2-amd64 root=UUID=66e75d80-ed82-400a-9c84-397b29fef7ce ro single 
	initrd	/boot/initrd.img-2.6.30-2-amd64
}
menuentry "Debian GNU/Linux, with Linux 2.6.26-2-amd64" {
	insmod ext2
	set root=(hd0,4)
	search --no-floppy --fs-uuid --set 66e75d80-ed82-400a-9c84-397b29fef7ce
	linux	/boot/vmlinuz-2.6.26-2-amd64 root=UUID=66e75d80-ed82-400a-9c84-397b29fef7ce ro  quiet
	initrd	/boot/initrd.img-2.6.26-2-amd64
}
menuentry "Debian GNU/Linux, with Linux 2.6.26-2-amd64 (recovery mode)" {
	insmod ext2
	set root=(hd0,4)
	search --no-floppy --fs-uuid --set 66e75d80-ed82-400a-9c84-397b29fef7ce
	linux	/boot/vmlinuz-2.6.26-2-amd64 root=UUID=66e75d80-ed82-400a-9c84-397b29fef7ce ro single 
	initrd	/boot/initrd.img-2.6.26-2-amd64
}
### END /etc/grub.d/10_linux ###

### BEGIN /etc/grub.d/20_memtest86+ ###
menuentry "Memory test (memtest86+)" {
	insmod ext2
	set root=(hd0,4)
	search --no-floppy --fs-uuid --set 66e75d80-ed82-400a-9c84-397b29fef7ce
	linux16	/boot/memtest86+.bin
}
menuentry "Memory test (memtest86+, serial console 115200)" {
	insmod ext2
	set root=(hd0,4)
	search --no-floppy --fs-uuid --set 66e75d80-ed82-400a-9c84-397b29fef7ce
	linux16	/boot/memtest86+.bin console=ttyS0,115200n8
}
### END /etc/grub.d/20_memtest86+ ###

### BEGIN /etc/grub.d/30_os-prober ###
menuentry "Windows Vista (loader) (on /dev/sda1)" {
	insmod ntfs
	set root=(hd0,1)
	search --no-floppy --fs-uuid --set 19226086202273e9
	chainloader +1
}
### END /etc/grub.d/30_os-prober ###

### BEGIN /etc/grub.d/40_custom ###
# This file provides an easy way to add custom menu entries.  Simply type the
# menu entries you want to add after this comment.  Be careful not to change
# the 'exec tail' line above.
### END /etc/grub.d/40_custom ###
*********************** END /boot/grub/grub.cfg

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages grub-pc depends on:
ii  debconf [debconf-2.0]    1.5.28          Debian configuration management sy
ii  grub-common              1.98~20100101-1 GRand Unified Bootloader, version 
ii  libc6                    2.10.2-2        GNU C Library: Shared libraries
ii  ucf                      3.0025          Update Configuration File: preserv

grub-pc recommends no packages.

Versions of packages grub-pc suggests:
ii  desktop-base                  5.0.5      common files for the Debian Deskto

-- debconf information:
  grub2/kfreebsd_cmdline:
* grub2/linux_cmdline:
* grub-pc/chainload_from_menu.lst: true
  grub-pc/kopt_extracted: true
  grub-pc/postrm_purge_boot_grub: false
  grub2/kfreebsd_cmdline_default: quiet
* grub2/linux_cmdline_default: quiet
* grub-pc/install_devices: /dev/sda




Information forwarded to debian-bugs-dist@lists.debian.org, mteodor@gmail.com, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#549976; Package grub-pc. (Wed, 17 Mar 2010 08:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Teodor <mteodor@gmail.com>:
Extra info received and forwarded to list. Copy sent to mteodor@gmail.com, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Wed, 17 Mar 2010 08:18:04 GMT) Full text and rfc822 format available.

Message #25 received at 549976@bugs.debian.org (full text, mbox):

From: Teodor <mteodor@gmail.com>
To: Debian Bug Tracking System <549976@bugs.debian.org>
Subject: grub-pc: File descriptor 3 (pipe:[95168]) leaked on lvs invocation
Date: Wed, 17 Mar 2010 10:13:19 +0200
Package: grub-pc
Version: 1.98-1
Severity: normal

Hi,

This is the first time I'm seeing this error:
| Setting up grub-pc (1.98-1) ...
| Replacing config file /etc/default/grub with new version
| Installation finished. No error reported.
| Generating grub.cfg ...
| Found background image: moreblue-orbit-grub.png
| Found linux image: /boot/vmlinuz-2.6.32-3-686
| Found initrd image: /boot/initrd.img-2.6.32-3-686
| Found linux image: /boot/vmlinuz-2.6.30-2-686
| Found initrd image: /boot/initrd.img-2.6.30-2-686
| Found memtest86 image: /boot/memtest86.bin
| Found memtest86+ image: /boot/memtest86+.bin
| File descriptor 3 (pipe:[95168]) leaked on lvs invocation. Parent PID 26223: /bin/sh
| Found Ubuntu 9.10 (9.10) on /dev/sda3
| done

Note that I don't have any PV, VG or LV on this host, only the lvm2 package installed
for documentation (manual pages, testing).

Thanks


-- Package-specific info:

*********************** BEGIN /proc/mounts
/dev/disk/by-uuid/65deb027-3425-4191-b350-e0da92c52ce9 / ext4 rw,noatime,nodiratime,user_xattr,barrier=1,data=ordered,usrquota,grpquota 0 0
/dev/mapper/sda6_crypt /home/doru ext4 rw,nosuid,nodev,noatime,nodiratime,user_xattr,barrier=1,data=ordered,usrquota,grpquota 0 0
/dev/sda7 /opt ext4 rw,nosuid,nodev,noatime,nodiratime,user_xattr,barrier=1,data=ordered,usrquota,grpquota 0 0
/dev/sda8 /srv ext4 rw,nosuid,nodev,noatime,nodiratime,user_xattr,barrier=1,data=ordered,usrquota,grpquota 0 0
/dev/sda9 /mnt/personal ext4 rw,nosuid,nodev,noatime,nodiratime,user_xattr,barrier=1,data=ordered,usrquota,grpquota 0 0
*********************** END /proc/mounts

*********************** BEGIN /boot/grub/device.map
(hd0)	/dev/sda
*********************** END /boot/grub/device.map

*********************** BEGIN /boot/grub/grub.cfg
#
# DO NOT EDIT THIS FILE
#
# It is automatically generated by /usr/sbin/grub-mkconfig using templates
# from /etc/grub.d and settings from /etc/default/grub
#

### BEGIN /etc/grub.d/00_header ###
if [ -s $prefix/grubenv ]; then
  load_env
fi
set default="0"
if [ ${prev_saved_entry} ]; then
  set saved_entry=${prev_saved_entry}
  save_env saved_entry
  set prev_saved_entry=
  save_env prev_saved_entry
  set boot_once=true
fi

function savedefault {
  if [ -z ${boot_once} ]; then
    saved_entry=${chosen}
    save_env saved_entry
  fi
}
insmod ext2
set root='(hd0,2)'
search --no-floppy --fs-uuid --set 65deb027-3425-4191-b350-e0da92c52ce9
if loadfont /usr/share/grub/unicode.pf2 ; then
  set gfxmode=640x480
  insmod gfxterm
  insmod vbe
  if terminal_output gfxterm ; then true ; else
    # For backward compatibility with versions of terminal.mod that don't
    # understand terminal_output
    terminal gfxterm
  fi
fi
insmod ext2
set root='(hd0,2)'
search --no-floppy --fs-uuid --set 65deb027-3425-4191-b350-e0da92c52ce9
set locale_dir=($root)/boot/grub/locale
set lang=en
insmod gettext
set timeout=5
### END /etc/grub.d/00_header ###

### BEGIN /etc/grub.d/05_debian_theme ###
insmod ext2
set root='(hd0,2)'
search --no-floppy --fs-uuid --set 65deb027-3425-4191-b350-e0da92c52ce9
insmod png
if background_image /boot/grub/moreblue-orbit-grub.png ; then
  set color_normal=black/black
  set color_highlight=magenta/black
else
  set menu_color_normal=cyan/blue
  set menu_color_highlight=white/blue
fi
### END /etc/grub.d/05_debian_theme ###

### BEGIN /etc/grub.d/10_linux ###
menuentry "Debian GNU/Linux, with Linux 2.6.32-3-686" --class debian --class gnu-linux --class gnu --class os {
	insmod ext2
	set root='(hd0,2)'
	search --no-floppy --fs-uuid --set 65deb027-3425-4191-b350-e0da92c52ce9
	echo	Loading Linux 2.6.32-3-686 ...
	linux	/boot/vmlinuz-2.6.32-3-686 root=UUID=65deb027-3425-4191-b350-e0da92c52ce9 ro  ipv6.disable=1 panic=20 vga=791
	echo	Loading initial ramdisk ...
	initrd	/boot/initrd.img-2.6.32-3-686
}
menuentry "Debian GNU/Linux, with Linux 2.6.32-3-686 (recovery mode)" --class debian --class gnu-linux --class gnu --class os {
	insmod ext2
	set root='(hd0,2)'
	search --no-floppy --fs-uuid --set 65deb027-3425-4191-b350-e0da92c52ce9
	echo	Loading Linux 2.6.32-3-686 ...
	linux	/boot/vmlinuz-2.6.32-3-686 root=UUID=65deb027-3425-4191-b350-e0da92c52ce9 ro single 
	echo	Loading initial ramdisk ...
	initrd	/boot/initrd.img-2.6.32-3-686
}
menuentry "Debian GNU/Linux, with Linux 2.6.30-2-686" --class debian --class gnu-linux --class gnu --class os {
	insmod ext2
	set root='(hd0,2)'
	search --no-floppy --fs-uuid --set 65deb027-3425-4191-b350-e0da92c52ce9
	echo	Loading Linux 2.6.30-2-686 ...
	linux	/boot/vmlinuz-2.6.30-2-686 root=UUID=65deb027-3425-4191-b350-e0da92c52ce9 ro  ipv6.disable=1 panic=20 vga=791
	echo	Loading initial ramdisk ...
	initrd	/boot/initrd.img-2.6.30-2-686
}
menuentry "Debian GNU/Linux, with Linux 2.6.30-2-686 (recovery mode)" --class debian --class gnu-linux --class gnu --class os {
	insmod ext2
	set root='(hd0,2)'
	search --no-floppy --fs-uuid --set 65deb027-3425-4191-b350-e0da92c52ce9
	echo	Loading Linux 2.6.30-2-686 ...
	linux	/boot/vmlinuz-2.6.30-2-686 root=UUID=65deb027-3425-4191-b350-e0da92c52ce9 ro single 
	echo	Loading initial ramdisk ...
	initrd	/boot/initrd.img-2.6.30-2-686
}
### END /etc/grub.d/10_linux ###

### BEGIN /etc/grub.d/20_memtest86 ###
menuentry "Memory test (memtest86)" {
	linux16	/boot/memtest86.bin
}
### END /etc/grub.d/20_memtest86 ###

### BEGIN /etc/grub.d/20_memtest86+ ###
menuentry "Memory test (memtest86+)" {
	insmod ext2
	set root='(hd0,2)'
	search --no-floppy --fs-uuid --set 65deb027-3425-4191-b350-e0da92c52ce9
	linux16	/boot/memtest86+.bin
}
menuentry "Memory test (memtest86+, serial console 115200)" {
	insmod ext2
	set root='(hd0,2)'
	search --no-floppy --fs-uuid --set 65deb027-3425-4191-b350-e0da92c52ce9
	linux16	/boot/memtest86+.bin console=ttyS0,115200n8
}
### END /etc/grub.d/20_memtest86+ ###

### BEGIN /etc/grub.d/30_os-prober ###
menuentry "Ubuntu, Linux 2.6.31-14-generic (on /dev/sda3)" {
	insmod ext2
	set root='(hd0,3)'
	search --no-floppy --fs-uuid --set 02f94eab-999b-4f1c-9a35-307428ac8830
	linux /boot/vmlinuz-2.6.31-14-generic root=UUID=02f94eab-999b-4f1c-9a35-307428ac8830 ro quiet splash
	initrd /boot/initrd.img-2.6.31-14-generic
}
menuentry "Ubuntu, Linux 2.6.31-14-generic (recovery mode) (on /dev/sda3)" {
	insmod ext2
	set root='(hd0,3)'
	search --no-floppy --fs-uuid --set 02f94eab-999b-4f1c-9a35-307428ac8830
	linux /boot/vmlinuz-2.6.31-14-generic root=UUID=02f94eab-999b-4f1c-9a35-307428ac8830 ro single
	initrd /boot/initrd.img-2.6.31-14-generic
}
### END /etc/grub.d/30_os-prober ###

### BEGIN /etc/grub.d/40_custom ###
# This file provides an easy way to add custom menu entries.  Simply type the
# menu entries you want to add after this comment.  Be careful not to change
# the 'exec tail' line above.
### END /etc/grub.d/40_custom ###
*********************** END /boot/grub/grub.cfg

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-3-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages grub-pc depends on:
ii  debconf [debconf-2.0]         1.5.28     Debian configuration management sy
ii  grub-common                   1.98-1     GRand Unified Bootloader, version 
ii  libc6                         2.10.2-6   Embedded GNU C Library: Shared lib
ii  ucf                           3.0025     Update Configuration File: preserv

grub-pc recommends no packages.

Versions of packages grub-pc suggests:
ii  desktop-base                  5.0.5      common files for the Debian Deskto

-- debconf information:
  grub2/kfreebsd_cmdline:
* grub2/linux_cmdline:
  grub-pc/chainload_from_menu.lst: true
  grub-pc/kopt_extracted: false
* grub-pc/install_devices: /dev/sda
  grub-pc/postrm_purge_boot_grub: false
  grub2/kfreebsd_cmdline_default: quiet
* grub2/linux_cmdline_default: ipv6.disable=1 panic=20 vga=791




Added tag(s) pending. Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. (Fri, 28 May 2010 13:42:08 GMT) Full text and rfc822 format available.

Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Wed, 02 Jun 2010 12:06:06 GMT) Full text and rfc822 format available.

Notification sent to Paul Menzel <pm.debian@googlemail.com>:
Bug acknowledged by developer. (Wed, 02 Jun 2010 12:06:06 GMT) Full text and rfc822 format available.

Message #32 received at 549976-close@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 549976-close@bugs.debian.org
Subject: Bug#549976: fixed in grub2 1.98+20100527-1
Date: Wed, 2 Jun 2010 13:03:29 +0100
Source: grub2
Source-Version: 1.98+20100527-1

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 01 Jun 2010 11:24:38 +0100
Source: grub2
Binary: grub2 grub-linuxbios grub-efi grub-common grub-emu grub-pc grub-rescue-pc grub-coreboot grub-efi-ia32 grub-efi-amd64 grub-ieee1275 grub-firmware-qemu grub-yeeloong
Architecture: source i386
Version: 1.98+20100527-1
Distribution: unstable
Urgency: low
Maintainer: GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>
Changed-By: Colin Watson <cjwatson@debian.org>
Description: 
 grub-common - GRand Unified Bootloader, version 2 (common files)
 grub-coreboot - GRand Unified Bootloader, version 2 (Coreboot version)
 grub-efi   - GRand Unified Bootloader, version 2 (dummy package)
 grub-efi-amd64 - GRand Unified Bootloader, version 2 (EFI-AMD64 version)
 grub-efi-ia32 - GRand Unified Bootloader, version 2 (EFI-IA32 version)
 grub-emu   - GRand Unified Bootloader, version 2 (emulated version)
 grub-firmware-qemu - GRUB firmware image for QEMU
 grub-ieee1275 - GRand Unified Bootloader, version 2 (Open Firmware version)
 grub-linuxbios - GRand Unified Bootloader, version 2 (dummy package)
 grub-pc    - GRand Unified Bootloader, version 2 (PC/BIOS version)
 grub-rescue-pc - GRUB bootable rescue images, version 2 (PC/BIOS version)
 grub-yeeloong - GRand Unified Bootloader, version 2 (Yeeloong version)
 grub2      - GRand Unified Bootloader, version 2 (dummy package)
Closes: 506707 508834 546822 549976 550704 559005 570110 570156 574088 574176 574578 577808 578201 578282 579919 580140 581584 583185
Changes: 
 grub2 (1.98+20100527-1) unstable; urgency=low
 .
   * New Bazaar snapshot.
     - Support multiple terminals in grub-mkconfig, e.g.
       GRUB_TERMINAL='serial console' (closes: #506707).
     - Speed up consecutive hostdisk operations on the same device (closes:
       #508834, #574088).
     - Fix grammar error in grub-setup warning (closes: #559005).
     - Use xorriso for image creation rather than embedding a modified copy
       of mkisofs (closes: #570156).
     - Issue an error rather than segfaulting if only some LVM component
       devices are in device.map (closes: #577808).
     - Fix typo in make_device_name which caused grub-probe problems on
       systems with BSD disk labels (closes: #578201).
     - Add DM-RAID probe support (closes: #579919).
     - Include all gnumach kernels on Hurd, not just gnumach and gnumach.gz
       (closes: #581584).
 .
   [ Colin Watson ]
   * Restore TEXTDOMAINDIR correction in grub.d files, lost by mistake in a
     merge.  Noticed by Anthony Fok.
   * Don't fail on purge if the ucf association has already been taken over
     by a different grub package (closes: #574176).
   * Add debian/grub-extras/*/conf/*.mk to AUTOGEN_FILES.
   * Remove support for the lpia architecture, now removed from Ubuntu.
   * Conflict with grub (<< 0.97-54) as well as grub-legacy.
   * Build-depend on libdevmapper-dev for DM-RAID probe support.
   * Switch to quilt.
   * Suggest xorriso (>= 0.5.6.pl00) in grub-common, since grub-mkrescue now
     needs it.  Depend on it in grub-rescue-pc.
   * Move grub-mkimage to grub-common, now that it only has one
     implementation.
   * Clean up temporary files used while building grub-firmware-qemu.
   * Make grub-probe work with symlinks under /dev/mapper (closes: #550704).
   * When upgrading a system where GRUB 2 is chainloaded from GRUB Legacy and
     upgrade-from-grub-legacy has not been run, upgrade the chainloaded image
     rather than confusing the user by prompting them where they want to
     install GRUB (closes: #546822).
   * Build-depend on libsdl1.2-dev for SDL support in grub-emu.
   * Don't leak debconf's file descriptor to update-grub, so that the LVM
     tools called from os-prober don't complain about it (closes: #549976).
     Other leaks are not this package's fault, may not be bugs at all, and in
     any case os-prober 1.36 suppresses the warnings.
   * Build-depend on flex (>= 2.5.35).
   * Build-depend on gcc-4.4-multilib on amd64.
 .
   [ Updated translations ]
   * Slovenian (sl.po) by Vanja Cvelbar (closes: #570110).
   * Vietnamese (vi.po) by Clytie Siddall (closes: #574578).
   * Tamil (ta.po) by Tirumurti Vasudevan (closes: #578282).
   * Portuguese (pt.po) by Tiago Fernandes (closes: #580140).
   * Romanian (ro.po) by Eddy Petrișor / Andrei Popescu (closes: #583185).
Checksums-Sha1: 
 a47c96ad6d170de26734824b11c66671e70a800b 2616 grub2_1.98+20100527-1.dsc
 59a938a06e8d012c7763f629fff3356397ef411a 2435830 grub2_1.98+20100527.orig.tar.gz
 b0c427bdf72cbafa3b9291d6f4636b091ac10e55 408010 grub2_1.98+20100527-1.diff.gz
 038ff6d4edb202d3688b99ba2e0933f063cd7b67 255320 grub2_1.98+20100527-1_i386.deb
 aa3cb79aa77fc2e559b66bb9e20c2043357055c4 254018 grub-linuxbios_1.98+20100527-1_i386.deb
 813a96032c33104bad8381fe02c3bf7f02a1f460 254014 grub-efi_1.98+20100527-1_i386.deb
 b68241507ea4e6af65809a88edeeef28ca185c8f 1229628 grub-common_1.98+20100527-1_i386.deb
 0b9ed35d93cad32e593581d4bc4d229acd977d52 2559184 grub-emu_1.98+20100527-1_i386.deb
 b8dbcf6b6146d630a404eefede5fd2300b8fb090 903112 grub-pc_1.98+20100527-1_i386.deb
 1413e2470f62814e1200eb9b5b51e3d361d446e3 254824 grub-rescue-pc_1.98+20100527-1_i386.deb
 e46505551e0bb95c9f107aee599c6fcb09c5d3fe 709154 grub-coreboot_1.98+20100527-1_i386.deb
 88cada9432fc95382aca691fc832efa9d62bcff9 745428 grub-efi-ia32_1.98+20100527-1_i386.deb
 33f0adaf67ab9887362b4438ced4bc973f1e9581 820224 grub-efi-amd64_1.98+20100527-1_i386.deb
 a43cef6a3e4f3717d5494fcde10a6523b9e8f3bb 703370 grub-ieee1275_1.98+20100527-1_i386.deb
 0342eb8c7676cf924b5f1f854b65d915a7bdd2cf 657800 grub-firmware-qemu_1.98+20100527-1_i386.deb
Checksums-Sha256: 
 60e5032303eb3bf86a99576133cc1376b945a0dd40ffa17fb021fad77bc572c7 2616 grub2_1.98+20100527-1.dsc
 5d229372618c0bcb06e659b97b681074ac5a91fe34f7f3fc111483e2b9f91551 2435830 grub2_1.98+20100527.orig.tar.gz
 4d6d4591237a57368bc35372ea5d2494ba7849f5e0dd92e8669ed3fae94e7321 408010 grub2_1.98+20100527-1.diff.gz
 66a031c29d158f1949d049ae1f0783931d199fd61cd6a2c04eace229771a4b20 255320 grub2_1.98+20100527-1_i386.deb
 281ba1e91f088f32271f519019c02dfe57679eccc3409c9e36bdda7e16d88d88 254018 grub-linuxbios_1.98+20100527-1_i386.deb
 6a6b09e817ba69fe1c4b99d7c9ccbdf44f197bb75b7442ea2c6001624540e982 254014 grub-efi_1.98+20100527-1_i386.deb
 9088363cd0242f2f5d8d66cf2a558813245fd3f0ecfc3d769a8b9ef2552787ea 1229628 grub-common_1.98+20100527-1_i386.deb
 f00a7f80d0955c273214f304acda8ea673177079e5e58656480acfcc03459402 2559184 grub-emu_1.98+20100527-1_i386.deb
 5a82bbfebb0d0826a1dce7a247b3ac156eb951d7051acb4558af3f6915806b11 903112 grub-pc_1.98+20100527-1_i386.deb
 3ed2cf642dac965c0e3dd8bead533a730e5db7061ea66e61fa148019646f7e71 254824 grub-rescue-pc_1.98+20100527-1_i386.deb
 01922bb6e86dd20f506d364e98b32a8ae0050a6ecc4e53ef2c094b2b1b60f424 709154 grub-coreboot_1.98+20100527-1_i386.deb
 bede999209ae696960dd754c23edfc9f1014190d70197ea0a15f2f2995137f3a 745428 grub-efi-ia32_1.98+20100527-1_i386.deb
 0e881d31c20c4b0e6022be85003d4217ab3445d4b5a3d690007eb5c0a33a1322 820224 grub-efi-amd64_1.98+20100527-1_i386.deb
 846306701eaba2d9d4ef6762e96f05f6ccbbad2f737fc3acd32ae6488af10e4b 703370 grub-ieee1275_1.98+20100527-1_i386.deb
 ae9cc13a51fc963e8f4a8fd5649d5824fa7ad9043bd958e0a08f83c692aa9ddc 657800 grub-firmware-qemu_1.98+20100527-1_i386.deb
Files: 
 835bf189a6a7f04e258ddf4d80773277 2616 admin extra grub2_1.98+20100527-1.dsc
 cf547d3e5024bb6e8f452e7805476b53 2435830 admin extra grub2_1.98+20100527.orig.tar.gz
 b7b7671b915af1bf4501419b06045caf 408010 admin extra grub2_1.98+20100527-1.diff.gz
 4bc632952437c45011901d42a33cf52b 255320 admin extra grub2_1.98+20100527-1_i386.deb
 82c6e29eac5e955d554116336b445492 254018 admin extra grub-linuxbios_1.98+20100527-1_i386.deb
 ae276eac278a0d56affdfd3a3d5a8026 254014 admin extra grub-efi_1.98+20100527-1_i386.deb
 b3ed45ded056c1de1a22f2049b54914d 1229628 admin extra grub-common_1.98+20100527-1_i386.deb
 07aad9fdc293a65d53fd91faa5ab7cd3 2559184 admin extra grub-emu_1.98+20100527-1_i386.deb
 89578503541e25cf3a9e87166fda7818 903112 admin extra grub-pc_1.98+20100527-1_i386.deb
 ec6bbe22e6b4d51b9e7c0a5c564e92b0 254824 admin extra grub-rescue-pc_1.98+20100527-1_i386.deb
 f8cb6650dceb739d2fd4ee5f38d4f53c 709154 admin extra grub-coreboot_1.98+20100527-1_i386.deb
 a058b8941bd5dcb01c4a0fadffc409ca 745428 admin extra grub-efi-ia32_1.98+20100527-1_i386.deb
 89003ed06c0e468d6b2b532f87a9246e 820224 admin extra grub-efi-amd64_1.98+20100527-1_i386.deb
 98d61210e91dbd95c9696d2dd63fd91c 703370 admin extra grub-ieee1275_1.98+20100527-1_i386.deb
 e8b1a608c9b468d0cefc95624e9d4207 657800 admin extra grub-firmware-qemu_1.98+20100527-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Colin Watson <cjwatson@debian.org> -- Debian developer

iQIVAwUBTATvWzk1h9l9hlALAQgf1RAAnILWgEEB+9TWwc2KG8UJpcMLsdJHezJK
dgc9POHflxO8zM18NidpvbST0/oTT6vtwF5y9MUpMJEaSdG1FrDSjBXMZ5ae+iov
Bk9tVW5mSjjbAlaNK61r3jYceKxb+LcE+lt8Ny3K1H8CArpjtVvFYB0hIRu/4c/h
aFMOHnsiWL9KgWgvnYyP2q7f+ukYpKtKWEC6fHnbT4Y2mNtYAe2sT5NRQsHkv1dQ
zyYdmu7UMpqjkDpu0IMHSJbsgDAs0NlQlSgDC+l1zVh2dDMqL4ElTxVMCvg8cKJo
4DK9E+kCllhBzGjQ8rMpxodl2OJGxPn6m8etNOBytYvpx60UOiAXpzq/8b6+IIL5
BudLFtwxAK00/Z33soFPbFnx/4Cdi+hbQIdw4Qw6DnDByBFgLUrCQUev8jIb8LaU
gDTa9JGJs9zUrh3xV2owXwknvUm/fJogSyAAU5J9PCmh7H24ITHGTlExrAmnx4HP
Rsuk6OvOJuFvu25UJwRRcR/V92yZmd3Pzgnkbau2X245dhw9ydkdOct+CYIXlutP
2fVaTNhhzdTAjEtM4P06V5+19fl0WhKGEwBAKJ6t/MKzbTSaUUWH6hr2lVpVWyHI
bv3eA90cVbF9O+vG/An03ngdK2cPrf3Z/krk99XV5VcE1fC5/OUmprSgSgPTf7eR
A4gels37MHY=
=CpnC
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 18 Jul 2010 07:34:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:53:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.